Fetch list of groups

This API allows you to fetch all the contact groups.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request GET \
     --url https://api-smartflo.tatateleservices.com/v1/contact/groups \
     --header 'accept: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Query Params)

The following parameter is required to fetch all the contact groups.

Variable NameDescriptionData Type
contact_group_idUnique ID of the contact group.string
updated_afterTime when the contact group was last updated.string
limitNumber of records to be fetched. Min:1 and Max:100.string
pagePage number of the record to be fetched.string

Sample Response

{
  "page": 1,
  "size": 10,
  "limit": 10,
  "results": [
    {
      "id": 39663,
      "name": "dd contact group",
      "list_id": null,
      "description": "dd contact group",
      "field_map": [
        "Phone Number",
        "Name",
        "Email Id",
        "Address",
        "Company Name",
        "Alternate Phone Number"
      ],
      "added_by": 4753,
      "created_by": 4753,
      "clone_from_contact": 0,
      "created_at": "2024-05-08T17:44:10+0530",
      "updated_at": "2024-05-08T17:44:10+0530",
      "deleted_at": null,
      "visible_to": [
        "345120"
      ]
    },............
 ]
}

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
pageIndex of the page.Integer
sizeSize of the record.Integer
limitNumber of records fetched.Integer
results[].idUnique ID of the contact group.String
results[].nameName of the contact group.String
results[].descriptionDescription of the contact group.String
results[].field_mapFields that are being mapped against each contact.Array
results[].added_byUser ID who added the contacts.Integer
results[].created_byUser ID who created the contact group.Integer
results[].clone_from_contactWhether it is cloned from any other contact or not.Integer
results[].created_atTime stamp when it was created.String
results[].updated_atTime stamp when it was last updated.String
results[].deleted_atTime stamp when it was deleted from the records, if deleted.String
results[].visible_toIDs of the team members to whom the contact group is visible.Array
Query Params
string
string
string
string
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json